Access

Provision an enabled instance member or service account with an optional initial API key

POST
/api/access/members

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Request Body

  1. body
email*string
Length3 <= length <= 320
name*string
Length1 <= length <= 100
password?string
Length12 <= length <= 128
role?string
Value in"admin""member"
joinDefaultWorkspace?boolean
apiKey?

Response Body

Response for status 201

application/json
  1. response
membership*
apiKey?
Example Request
curl -X POST 'https://postdot.example/api/access/members' \
  -H 'Content-Type: application/json' \
  -d '{
  "email": "string",
  "name": "string"
}'
Example Response
{
  "membership": {
    "id": "string",
    "userId": "string",
    "email": "string",
    "name": "string",
    "role": "admin",
    "state": "enabled",
    "createdAt": 0,
    "updatedAt": 0
  },
  "apiKey": {
    "key": {
      "id": "string",
      "name": "string",
      "tokenPrefix": "string",
      "projectAccess": "all",
      "actionAccess": "all",
      "expiresAt": 0,
      "createdAt": 0,
      "updatedAt": 0
    },
    "token": "string"
  }
}

Was this page helpful?